%global _disable_ld_no_undefined 1

%define oname   VirtualGL

Name:           virtualgl
Summary:        A toolkit for displaying OpenGL applications to thin clients
Group:          System/Libraries
Version:        2.5.2
Release:        %mkrel 1
URL:            http://www.virtualgl.org
License:        wxWindows
Source0:        http://downloads.sourceforge.net/virtualgl/%{oname}-%{version}.tar.xz
Patch1:         virtualgl-2.5.2-deb-remove-glxinfo.patch
Patch3:         virtualgl-2.4.1-mga-libexec-paths.patch
Patch4:			virtualgl-2.5.2-mga-cmake-fixes.patch
#-----------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}fltk-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: mesa-devel
#-----------------------------------------

%description
VirtualGL is a library which allows most Linux OpenGL applications to be
remotely displayed to a thin client without the need to alter the
applications in any way.  VGL inserts itself into an application at run time
and intercepts a handful of GLX calls, which it reroutes to the server's
display (which presumably has a 3D accelerator attached.)  This causes all
3D rendering to occur on the server's display.  As each frame is rendered
by the server, VirtualGL reads back the pixels from the server's framebuffer
and sends them to the client for re-compositing into the appropriate X
Window.

VirtualGL can be used to give hardware-accelerated 3D capabilities to
VNC or other remote display environments that lack GLX support.  In a LAN
environment, it can also be used with its built-in motion-JPEG video delivery
system to remotely display full-screen 3D applications at 20+ frames/second.

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_libexecdir}/vglrun.vars%{__isa_bits}
%{_libdir}/libdlfaker.so
%{_libdir}/libgefaker.so
%{_libdir}/libvglfaker.so
%{_libdir}/libvglfaker-nodl.so

#--------------------------------------------------------------------
%package devel
Summary:        A toolkit for displaying OpenGL applications to thin clients
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers for VirtualGL.

%files devel
%{_includedir}/rrtransport.h
%{_includedir}/rr.h

#--------------------------------------------------------------------
%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
%cmake \
    -DCMAKE_INSTALL_DOCDIR=%{_docdir}/%{name} \
    -DVGL_BUILDSTATIC=0 \
    -DVGL_SYSTEMFLTK=1 \
    -DVGL_SYSTEMGLX=1 \
    -DTJPEG_INCLUDE_DIR=%{_includedir} \
    -DTJPEG_LIBRARY=%{_libdir}/libturbojpeg.so

%make

%install
rm -rf %buildroot
%make_install -C build

install -d %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/.vglrun.vars%{__isa_bits} %{buildroot}%{_libexecdir}/vglrun.vars%{__isa_bits}


%changelog
* Tue May 09 2017 bb2 <bb2> - 2.5.2-1pclos2017
- new version

* Tue May 31 2016 bb <bb> - 2.5-1pclos2016
- update

